package com.adbglobal.parking.crm.api;

import com.adbglobal.parking.crm.model.User;
import java.util.Collection;
import org.springframework.http.ResponseEntity;

public interface UserApi {

    ResponseEntity<User> addUser(final User user);

    ResponseEntity<Collection<User>> getUsers();

    ResponseEntity<User> getUser(final String userId);

}
